Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005897TestLinkAvailable Fixespublic2013-09-08 17:512013-11-17 09:52
Reporterfman 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.8 (2013 Q3 - bug fixing) 
Fixed in Version1.9.9 (2013 Q4 - bug fixing) 
Summary0005897: Availables hot-fixes for 1.9.8 & How To get full fixed package from gitorious
DescriptionAvailables hot-fixes for 1.9.8

Please do not add any note to this issue.
No request for help, no request for explanations
Thanks a lot


CRITIC
There ARE CHANGES TO BE DONE to YOUR DB is you are going to get all code
from latest commit.
DB version will be updated to DB 1.9.9
Give a look to FOLDER install\sql\alter_tables .
Also compare testlink_create*.sql files which the same files present on
your installation.

You have to have Patience, because sometimes our commits are far from perfect



ATTENTION - Since Gitorious ha upgraded it's site following instructions

Get latest package with all fixes from gitorious, using wget
wget http://gitorious.org/testlink-ga/testlink-code/archive-tarball/testlink_1_9 [^] [^]

ARE not valid ANYMORE
Seems only option is to CLONE repository (I'm sorry)


A little bit complex option (you need git installed on your system)
1. create a directory where you are going to get latest code
1.1 cd /
1.2 mkdir /testlink-fixes-latest

2. cd /testlink-fixes-latest
2.1 git clone git@gitorious.org:testlink-ga/testlink-code.git
this will create a new directory testlink-code

2.2 cd /testlink-fixes-latest/testlink-code
2.3 git checkout git checkout remotes/origin/testlink_1_9

(from http://stackoverflow.com/questions/1911109/git-clone-a-specific-branch [^])

3. get updates
After you have done this for FIRST TIME , to get updates
3.1 cd /testlink-fixes-latest/testlink-code
3.2 git pull


Great News From Gitoriuos
Tarball download is working again!!! (give a look to attached image Download Button)



Please do not add any note to this issue.
No request for help, no request for explanations
Thanks a lot
Tagstest
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon get-code.png [^] (47,239 bytes) 2013-09-09 17:41

- Relationships
parent of 0005901closedfman TRAC integration - sendCmd() errors are not logged 
parent of 0005902closedfman Uncaught exception when doing a Metric Dashboard when no releases are active or open. 
parent of 0005906closedfman [FEATURE] Create Ghost Test Case that always follows latest active version 
parent of 0005910closedfman Req. Management - link test case to req. providing test case external ID - Nothing happens 
parent of 0005914closedfman [FEATURE] Create Ghost Test Case STEP that always follows latest active version 
parent of 0005916closedfman It's impossible to login with browser set to italian language (or other language <> english) 
parent of 0005907closedfman Links are not click-able in Description fields for Projects Test Plans and Builds 
parent of 0005895closedfman New Account Created notification is sent to wrong destinations 
parent of 0005918closedfman [FEATURE] Test Case View - Screen cleanup - information about author and modifier only displayed on request. 
parent of 0005919closedfman User list - <no rights> is not displayed on role column 
parent of 0005920closedfman [FEATURE] User Management - allow access to user data usin login (as Mantis do) 
parent of 0005922closedfman Filters on creation and modification dates is ignored in test cases search 
parent of 0005921closedfman POSTGRESQL - Update 1.9.7 to 1.9.8 fails because db_schema_update.sql use unknown typ number() 
parent of 0005925closedfman  ghost link to a testcase in a step of the same testcase -> crash 
parent of 0005912closedfman Report Bugs per Test Case shows white screen 
parent of 0005927closedfman Bulk execution not updating execution status 
parent of 0005924closedfman README File with bad path to db scripts to upgrade from 1.9.7 to 1.9.8 
parent of 0005928closedfman Export Test Plan with Platforms generate xml with no info 
parent of 0005936closedfman DB Access Error message on Requirement visualization/modification 
parent of 0005937closedfman (Required) Custom Fields become mandatory in Filters Section 
parent of 0005943closedfman MS-SQL - New fields for req coverage table are missing 
parent of 0005944closedfman Delete Requirement crashes with DB error 
parent of 0005946closedfman Test Project Management - Add filter by name on test project list 
parent of 0005958closedfman Test Execute Bulk Mode - Crash with DB Error 
parent of 0005957closedfman Test Case Execute - BULK MODE - Filter on "Test Case Title"is OK on tree but ignored on generation of right pane content 
parent of 0005959closedfman Assign Test Project Roles / Assign Test Plan Roles - Display login + first name + last name 
parent of 0005972closedfman User Authentication Methods - Allow configuration at user level 
parent of 0005975closedfman Bulk Requirement linking to filtered test cases at the suite level links test cases not matching the filter 
parent of 0005982closedfman Jira SOAP - Component is IGNORED When issue has ONLY ONE. 
parent of 0005983closedfman Jira SOAP - Additional Attributes Custom Fields 
parent of 0005992closedfman Create/Edit Test Case Step - ghost on SUMMARY and PRECONDITIONS are not rendered, but plain ghost string displayed 
parent of 0005985closedfman Test Case Step not able to render with additional manual text input 
parent of 0005991closedfman Any Text to the RIGHT of Ghost Test Case string is rendered in a new line 
parent of 0005997closedfman Test Plan CombBox on main screen (Desktop) - Add search capability 
parent of 0005998closedfman CombBoxes on Settings Section - Add search capability 
parent of 0005995closedfman Import req from DocBook to testlink don't work. (typo error) 
parent of 0005984closedfman Test Specification Link Requirements Icon does not appears after saving new test case 
parent of 0006007closedfman Jira affectsVersions management 
parent of 0006009closedfman Test Case Execution order number is short of 1 char for the input field 
parent of 0006003closedfman Test Spec Requirement list did not refresh after admendment 
parent of 0006000closedfman Import Test cases with requirements - DB access error - Relations not saved 
parent of 0006011closedfman Create testcase from req - (tlCfg->req_cfg->use_req_spec_as_testsuite_name=FALSE) Crash 
parent of 0006015closedfman Webserver: Nginx - https is forced incorrectly 
parent of 0006018closedfman MySQL - Update Schema Scripts from 1.9.8 to 1.9.9 
parent of 0006019closedfman Postgres - Update Schema Scripts from 1.9.8 to 1.9.9 
parent of 0006021closedfman getLastExecutionResult () - new parameters platform and build 
parent of 0006013closedfman Missing build number parameters for testcase execution status 
parent of 0005996closedfman Need XMLRPC api for getExecutionResult that takes a build paramter 
parent of 0006024closedfman GUI / Usability improvements - jQuery Chosen for HTML Select 
parent of 0006031closedfman H<n>-Tags not nested properly 
parent of 0006033closedfman Custom Fields for Build 
parent of 0005981closedfman Jira SOAP - Additional Attributes Management has limitations 
parent of 0005926closedfman DB Access Error when access Requirement Specification 
parent of 0006036closedfman When trying to view requiremeent versions, the grouping label shows "Array.version Array version" 
parent of 0006037closedfman Add the option : Print list of attached files 
parent of 0006045closedfman new method testLinkVersion 
parent of 0006044closedfman getTestCase() raise <500 Internal Server Error>, when testcaseexternalid includes no '-' 
parent of 0004959closedfman Closing file upload window after uploading file to newly created test case causes page load error for archiveData.php 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2013-09-08 17:51 fman New Issue
2013-09-08 17:51 fman Status new => assigned
2013-09-08 17:51 fman Assigned To => fman
2013-09-08 17:51 fman Issue generated from: 0005731
2013-09-08 17:51 fman Severity text => major
2013-09-08 17:51 fman Sticky Issue No => Yes
2013-09-09 17:41 fman Description Updated View Revisions
2013-09-09 17:41 fman File Added: get-code.png
2013-09-09 17:42 fman Description Updated View Revisions
2013-09-09 17:42 fman Relationship added parent of 0005901
2013-09-09 19:49 fman Relationship added parent of 0005902
2013-09-10 18:01 fman Relationship added parent of 0005906
2013-09-10 18:47 fman Relationship added parent of 0005910
2013-09-11 18:07 fman Relationship added parent of 0005914
2013-09-13 18:23 fman Relationship added parent of 0005916
2013-09-14 08:20 fman Relationship added parent of 0005907
2013-09-14 13:47 fman Relationship added parent of 0005895
2013-09-15 15:47 fman Relationship added parent of 0005918
2013-09-15 16:34 fman Relationship added parent of 0005919
2013-09-15 18:11 fman Relationship added parent of 0005920
2013-09-16 19:29 fman Relationship added parent of 0005922
2013-09-16 19:31 fman Relationship added parent of 0005921
2013-09-17 20:35 fman Relationship added parent of 0005925
2013-09-17 20:50 fman Relationship added parent of 0005912
2013-09-17 21:12 fman Relationship added parent of 0005927
2013-09-17 21:18 fman Relationship added parent of 0005924
2013-09-18 20:03 fman Relationship added parent of 0005928
2013-09-25 21:28 fman Relationship added parent of 0005936
2013-09-26 20:04 fman Relationship added parent of 0005937
2013-09-28 13:39 fman Relationship added parent of 0005943
2013-09-28 13:50 fman Relationship added parent of 0005944
2013-09-29 14:38 fman Relationship added parent of 0005946
2013-10-05 10:38 fman Relationship added parent of 0005958
2013-10-05 10:38 fman Relationship added parent of 0005957
2013-10-06 15:17 fman Relationship added parent of 0005959
2013-10-10 09:50 antoni Note Added: 0019810
2013-10-10 09:50 antoni Note Deleted: 0019810
2013-10-10 10:01 fman Description Updated View Revisions
2013-10-13 17:31 fman Relationship added parent of 0005972
2013-10-19 15:03 fman Relationship added parent of 0005975
2013-10-20 09:08 fman Relationship added parent of 0005982
2013-10-20 17:39 fman Relationship added parent of 0005983
2013-10-22 15:06 fman Relationship added parent of 0005992
2013-10-22 18:10 fman Relationship added parent of 0005985
2013-10-22 18:12 fman Relationship added parent of 0005991
2013-10-24 20:57 fman Relationship added parent of 0005997
2013-10-25 21:48 fman Relationship added parent of 0005998
2013-10-26 07:28 fman Relationship added parent of 0005995
2013-10-29 19:18 fman Relationship added parent of 0005984
2013-10-29 22:59 fman Relationship added parent of 0006007
2013-10-30 07:13 user10613 Tag Attached: test
2013-10-30 20:02 fman Relationship added parent of 0006009
2013-10-30 21:22 fman Relationship added parent of 0006003
2013-10-31 15:59 fman Relationship added parent of 0006000
2013-10-31 16:33 fman Relationship added parent of 0006011
2013-11-01 09:13 fman Relationship added parent of 0006015
2013-11-01 15:11 fman Description Updated View Revisions
2013-11-02 08:54 fman Relationship added parent of 0006018
2013-11-02 10:03 fman Relationship added parent of 0006019
2013-11-03 10:37 fman Relationship added parent of 0006021
2013-11-03 10:37 fman Relationship added parent of 0006013
2013-11-03 10:38 fman Relationship added parent of 0005996
2013-11-04 19:39 fman Relationship added parent of 0006024
2013-11-07 21:53 fman Relationship added parent of 0006031
2013-11-08 22:24 fman Relationship added parent of 0006033
2013-11-08 22:28 fman Relationship added parent of 0005981
2013-11-08 22:30 fman Relationship added parent of 0005926
2013-11-11 21:33 fman Relationship added parent of 0006036
2013-11-12 20:24 fman Relationship added parent of 0006037
2013-11-13 22:22 fman Relationship added parent of 0006045
2013-11-13 22:33 fman Relationship added parent of 0006044
2013-11-16 15:59 fman Relationship added parent of 0004959
2013-11-17 09:52 fman Issue cloned: 0006048
2013-11-17 09:52 fman Status assigned => closed
2013-11-17 09:52 fman Resolution open => fixed
2013-11-17 09:52 fman Fixed in Version => 1.9.9 (2013 Q4 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker